#define LOG_TAG "main_helloworldclient"

#include<binder/IPCThreadState.h>
#include<binder/ProcessState.h>
#include<binder/IServiceManager.h>
#include<utils/Log.h>
#include<utils/RefBase.h>

#include<helloworld/IHelloworldService.h>

using namespace android;

int main(int argc, char* argv[]){
	LOGI("HelloworldClient is now starting!!!");
		
    sp<IServiceManager> sm = defaultServiceManager();
	sp<IBinder>b;
	sp<IHelloworldService>sHelloworldService;

	do{
		b = sm->getService(String16("android.apps.IHelloworldService"));
		if(b!=0)
			break;
		LOGI("HelloworldService is not working now,wating...!!!");
		usleep(500000);
	}while(true);

	sHelloworldService->interface_cast<IHelloworldService>(b);
	sHelloworldService->print("oh~~~!!! Good!!!");
		
	return 0;
}

