#include<helloworld/BpHelloworldService.h>
#include<binder/Parcle.h>
#include<utils/Log.h>

namespace android{
	
	status_t BpHelloworldService::print(const char * str){

        Parcel data, reply;
        data.writeInterfaceToken(IHelloworldService::getInterfaceDescriptor());
        data.writeCString(str);
        status_t status = remote()->transact(HW_HELLOWORLD, data, &reply);

		if(status != NO_ERROR){
			LOGE("print method error: %s",strerror(-status));
		}else{
			status = reply.readInt32();
		}
		
        return status;
	}
		
	BpHelloworldService::BpHelloworldService(const sp<IBinder>&impl):BpInterface<IHelloworldService>(impl){}
	
};
