#include<helloworld/BnHelloworldService.h>
#include<helloworld/HelloworldService.h>
#include<binder/IServiceManager.h>
#include<binder/IPCThreadState.h>
#include<utils/Log.h>

namespace android{

	void HelloworldService::instantiate(){
		sp<IServiceManager> sm(defaultServiceManager());
        sm->addService(String16(HelloworldService::getServiceName()),new HelloworldService(), false);//"android.apps.IHelloworldService"
	}

	//Service method  
	status_t HelloworldService::print(const char * str){
		LOGI("%s\n",str);
		printf("%s\n",str);
		return NO_ERROR;
	}

	//constructor
	HelloworldService::HelloworldService(){
		LOGI("HelloworldService is created");
	}

	//de-constructor 
	HelloworldService::~~HelloworldService(){
		LOGI("HelloworldService is destroyed");
	}

	//Service stub ȣ 
	status_t HelloworldService::onTransact(
    uint32_t code, const Parcel& data, Parcel* reply, uint32_t flags)
	{
	    return BnHelloworldService::onTransact(code, data, reply, flags);
	}
	
	
};
